{"openapi":"3.0.0","info":{"version":"2.0","title":"Privacy Automation - Data Mapping Automation (Swagger)","contact":{}},"tags":[{"name":"Inventory"},{"name":"Inventory Hierarchies"},{"name":"Inventory Relationships V1"},{"name":"Inventory Relationships V2"},{"name":"Inventory Schema"},{"name":"Personal Data"}],"paths":{"/inventory/v2/data-classifications":{"get":{"tags":["Personal Data"],"summary":"Get List of Data Classifications","operationId":"listAllDataClassificationsUsingGET","parameters":[{"name":"page","in":"query","description":"The result page to be returned.","required":true,"schema":{"type":"string","default":"0"}},{"name":"size","in":"query","description":"The number of elements to be returned in a page. \n(Note: The maximum size value may differ by API and is subject to change. If a number greater than the maximum is requested, the API will return the maximum allowed value.)","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OneTrustResponseListDataClassificationResponse"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"429":{"description":"Too Many Requests\nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"description":"The number of seconds after which requests will be allowed again.","schema":{"type":"integer","format":"int32"}},"ot-ratelimit-event-id":{"description":"The unique identifier for the rate-limiting event.","schema":{"type":"string","format":"uuid"}},"ot-requests-allowed":{"description":"The number of requests allowed within the specified period.","schema":{"type":"integer","format":"int32"}},"ot-period":{"description":"The unit of time for which the rate limit applies.","schema":{"type":"string","enum":["HOUR","MINUTE"]}},"ot-request-made":{"description":"The number of requests made within the specified period.","schema":{"type":"integer","format":"int32"}}}}},"description":"Use this API to retrieve a list of all existing Data Classifications.\n\n### Example Request\n\n`GET https://{hostname}/api/inventory/v2/data-classifications`\n\n`GET https://trial-onetrust-com.surrey.idm.oclc.org/api/inventory/v2/data-classifications`"}},"/inventory/v2/data-elements":{"get":{"tags":["Personal Data"],"summary":"Get List of Data Elements","operationId":"listAllDataElementsUsingGET","parameters":[{"name":"page","in":"query","description":"The result page to be returned.","required":true,"schema":{"type":"number","default":"0"}},{"name":"size","in":"query","description":"The number of elements to be returned in a page. \n(Note: The maximum size value may differ by API and is subject to change. If a number greater than the maximum is requested, the API will return the maximum allowed value.)","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OneTrustResponseListDataElementDetailedResponse"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"429":{"description":"Too Many Requests\nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"description":"The number of seconds after which requests will be allowed again.","schema":{"type":"integer","format":"int32"}},"ot-ratelimit-event-id":{"description":"The unique identifier for the rate-limiting event.","schema":{"type":"string","format":"uuid"}},"ot-requests-allowed":{"description":"The number of requests allowed within the specified period.","schema":{"type":"integer","format":"int32"}},"ot-period":{"description":"The unit of time for which the rate limit applies.","schema":{"type":"string","enum":["HOUR","MINUTE"]}},"ot-request-made":{"description":"The number of requests made within the specified period.","schema":{"type":"integer","format":"int32"}}}}},"description":"Use this API to retrieve the list of all existing Data Elements. \n\n### Example Request\n\n`GET https://{hostname}/api/inventory/v2/data-elements`\n\n`GET https://trial-onetrust-com.surrey.idm.oclc.org/api/inventory/v2/data-elements`"}},"/inventory/v2/schemas/{type}":{"get":{"tags":["Inventory Schema"],"summary":"Get Inventory Schema","description":"Use this API to retrieve the schema (attribute definitions) for a specific inventory type. The schema defines all available attributes, their types, and validation rules for the specified inventory category.\n\nThis is useful for understanding the structure of inventory records before creating or updating them, or for dynamically building forms and validation logic.\n\n### Example Request\n\n`GET https://{hostname}/api/inventory/v2/schemas/{type}`\n\n`GET https://trial-onetrust-com.surrey.idm.oclc.org/api/inventory/v2/schemas/processing-activities`","operationId":"getSchemaUsingGET_1","parameters":[{"$ref":"#/components/parameters/inventoryType"},{"name":"showAll","in":"query","description":"When set to `true`, returns the complete schema including all attribute details such as allowed values, validation rules, and metadata. When `false` or omitted, returns only basic attribute information.","required":false,"schema":{"type":"string","enum":["true","false"]},"example":"true"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AttributeResponse"}}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"429":{"description":"Too Many Requests\nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"description":"The number of seconds after which requests will be allowed again.","schema":{"type":"integer","format":"int32"}},"ot-ratelimit-event-id":{"description":"The unique identifier for the rate-limiting event.","schema":{"type":"string","format":"uuid"}},"ot-requests-allowed":{"description":"The number of requests allowed within the specified period.","schema":{"type":"integer","format":"int32"}},"ot-period":{"description":"The unit of time for which the rate limit applies.","schema":{"type":"string","enum":["HOUR","MINUTE"]}},"ot-request-made":{"description":"The number of requests made within the specified period.","schema":{"type":"integer","format":"int32"}}}}}}},"/inventory/v2/schemas/attributes/{attributeId}/values/{valueId}":{"get":{"tags":["Inventory"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{}}}}},"429":{"description":"Too Many Requests\nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"description":"The number of seconds after which requests will be allowed again.","schema":{"type":"integer","format":"int32"}},"ot-ratelimit-event-id":{"description":"The unique identifier for the rate-limiting event.","schema":{"type":"string","format":"uuid"}},"ot-requests-allowed":{"description":"The number of requests allowed within the specified period.","schema":{"type":"integer","format":"int32"}},"ot-period":{"description":"The unit of time for which the rate limit applies.","schema":{"type":"string","enum":["HOUR","MINUTE"]}},"ot-request-made":{"description":"The number of requests made within the specified period.","schema":{"type":"integer","format":"int32"}}}}},"summary":"Get Attribute Options","description":"Use this API to support the editing of attribute option names.\n\n### Example Request\n\n`PUT https://{hostname}/api/inventory/v2/api/inventory/v2/schemas/attributes/{attributeId}/values/{valueId}`\n\n`PUT https://trial-onetrust-com.surrey.idm.oclc.org/api/inventory/v2/schemas/attributes/bcb8c972-cd10-4c2a-9289-44f8cc78ac03/values/98ec8ebc-90e7-4c3e-869f-cb1b1506222c`      ","parameters":[{"name":"attributeId","in":"path","required":true,"description":"ID of an attribute. The value can be obtained using the [Get Inventory Schema](/onetrust/reference/getschemausingget_1) API.","schema":{"type":"string"}},{"name":"valueId","in":"path","required":true,"description":"ID of a value. The value is obtained using the [Get Inventory Schema Details](/onetrust/reference/getschemadetailsusingfieldname) API.","schema":{"type":"string"}}]}}},"x-readme":{"explorer-enabled":false,"metrics-enabled":false,"proxy-enabled":true},"security":[{"oauth2":[]}],"x-onetrust":{"spec-label":"Swagger 2","links":{"Data Mapping Automation Knowledge Base":"https://my-onetrust-com.surrey.idm.oclc.org/s/topic/0TO1Q000000ItRxWAK/data-mapping"}},"servers":[{"url":"https://customer-my-onetrust-com.surrey.idm.oclc.org/api"}],"components":{"parameters":{"inventoryType":{"name":"type","in":"path","description":"The type of inventory or schema to retrieve. Each type represents a different category of data mapping records:\n- **processing-activities**: Records describing how personal data is processed\n- **vendors**: Third-party organizations that process data on your behalf\n- **assets**: Systems, applications, or databases that store or process data\n- **entities**: Legal entities or business units within your organization","required":true,"schema":{"type":"string","enum":["processing-activities","vendors","assets","entities"]},"example":"vendors"},"inventoryId":{"name":"id","in":"path","description":"ID of an inventory. The value is obtained using [Get List of Inventories](/onetrust/reference/getlistofinventoriesusingget) API.","required":true,"schema":{"type":"string"}},"attributeId":{"name":"id","in":"path","description":"ID of an attribute. The value is obtained using [Get Inventory Schema](/onetrust/reference/getschemausingget_1) API.","required":true,"schema":{"type":"string"}}},"securitySchemes":{"oauth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://{$$.env.host}/api/access/v1/oauth/token","scopes":{"INVENTORY_READ":"Read inventory records","INVENTORY_WRITE":"Create and delete inventory records"}}}}},"schemas":{"AttributeResponse":{"type":"object","properties":{"attributeType":{"type":"string"},"description":{"type":"string"},"descriptionKey":{"type":"string"},"fieldName":{"type":"string"},"id":{"type":"string"},"name":{"type":"string"},"nameKey":{"type":"string"},"required":{"type":"boolean"},"responseType":{"type":"string"},"status":{"type":"string"}},"title":"AttributeResponse"},"AttributeDetailResponse":{"type":"object","additionalProperties":false,"properties":{"allowOther":{"type":"boolean"},"values":{"type":"array","items":{"$ref":"#/components/schemas/AttributeValueResponse"}}},"allOf":[{"$ref":"#/components/schemas/AttributeResponse"}],"title":"AttributeDetailResponse"},"AttributeValueResponse":{"type":"object","properties":{"id":{"type":"string"},"value":{"type":"string"},"valueKey":{"type":"string"},"status":{"type":"string"},"seeded":{"type":"boolean"}},"title":"AttributeValueResponse"},"ListAttributeValueResponse":{"type":"array","items":{"$ref":"#/components/schemas/AttributeValueResponse"}},"AttributeValueCreateRequest":{"type":"object","properties":{"value":{"type":"string","description":"Name of the attribute value to be created.","example":"Internal"},"selectionValue":{"type":"string","description":"Attribute selection value and it is mandatory if the numeric value is not distinct for Numerical Single Select attribute.","example":"Internal"}},"title":"AttributeValueCreateRequest"},"ListAttributeValueCreateRequest":{"type":"array","items":{"$ref":"#/components/schemas/AttributeValueCreateRequest"}},"AttributeCreateRequest":{"type":"object","required":["name","description","responseType"],"properties":{"name":{"type":"string","description":"Name of the attribute to be created.","example":"Data Source"},"description":{"type":"string","description":"Description of the attribute to be created.","example":"Source from where data is collected"},"responseType":{"type":"string","description":"Type of the attribute response.","enum":["single-select","multi-select","text","date"]},"allowOther":{"type":"boolean","description":"If this parameter is set to true, then while answering that attribute for an inventory, the user will be able to specify a value which is not present in the list of attribute values currently available for that attribute. The new user specified value will be created as an 'Inactive' attribute value for that attribute. \n If it is set to false, then while answering that attribute for an inventory, the user is restricted to choose only from the list of currently available attribute values for that attribute. \n\n Note : This field is only available for single select and multi select attributes.","enum":["true","false"]},"attributeType":{"type":"string","description":"Type of the attribute. \n\n Allowed values for response type: \n <br/> **single-select** : locations, users, custom attributes options created though attribute options API \n **multi-select** : locations, custom attributes options created though attribute options API \n **date** : none \n **text** : none","enum":["none","locations","users"]},"trackedAtRelatedInventoryType":{"type":"string","description":"Set this field type to 'personal-data' while creating an inventory attribute to track details at the inventory-personal data link level . By default, when the flag is not set to 'personal-data', the attribute created will track details at the inventory level. \n\n Note: Tracking at link level is only available for assets and processing activities inventory types.","enum":["personal-data"]}},"title":"AttributeCreateRequest"},"BulkAttributeStatusUpdateRequest":{"type":"object","properties":{"fieldNames":{"type":"array","items":{"type":"string","description":"List of field names of attributes.","example":"dataRetention"}}}},"Response":{"type":"object","properties":{"data":{"type":"object"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}},"title":"Response"},"Error":{"type":"object","properties":{"code":{"type":"string"},"detail":{"type":"string"},"source":{"$ref":"#/components/schemas/ErrorSource"},"title":{"type":"string"}},"title":"Error"},"ErrorSource":{"type":"object","properties":{"parameter":{"type":"string"},"pointer":{"type":"string"}},"title":"ErrorSource"},"CreateAssetDto":{"type":"object","properties":{"name":{"type":"string"},"organization":{"$ref":"#/components/schemas/InventoryValue"},"location":{"$ref":"#/components/schemas/InventoryValue"}},"title":"CreateAssetDto"},"CreatePaDto":{"type":"object","properties":{"name":{"type":"string"},"organization":{"$ref":"#/components/schemas/InventoryValue"}},"title":"CreatePaDto"},"CreateVendorDto":{"type":"object","properties":{"name":{"type":"string"},"organization":{"$ref":"#/components/schemas/InventoryValue"},"type":{"$ref":"#/components/schemas/InventoryValue"}},"title":"CreateVendorDto"},"CreateEntityDto":{"type":"object","properties":{"name":{"type":"string"},"organization":{"$ref":"#/components/schemas/InventoryValue"},"primaryOperatingLocation":{"$ref":"#/components/schemas/InventoryValue"}},"title":"CreateEntityDto"},"CreateInventoryDto":{"type":"object","title":"CreateInventoryDto","properties":{"name":{"type":"string"},"organization":{"$ref":"#/components/schemas/InventoryValue"},"location":{"$ref":"#/components/schemas/InventoryValue"},"exampleSingleSelectField":{"type":"array","items":{"$ref":"#/components/schemas/InventoryValue"}},"exampleMultiSelectField":{"type":"array","items":{"$ref":"#/components/schemas/InventoryValue"}},"type":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"value":{"type":"string"}}}}},"InventoryFilterRequest":{"type":"object","properties":{"filters":{"type":"array","items":{"$ref":"#/components/schemas/CriteriaDefinition"}}},"title":"InventoryFilterRequest"},"CriteriaDefinition":{"type":"object","required":["attributeKey","operator","values"],"properties":{"attributeKey":{"type":"string","description":"To filter by attribute fields, key needs to be the fieldName of an attribute (the fieldName of an attribute can be obtained from Get Schema by ID API). To filter by personal data fields, keys can be PersonalData-dataElement, PersonalData-dataSubjectType, PersonalData-dataCategory, PersonalData-dataClassifications.\n Note: Name and Date attributes other than Created Date and Last Updated Date are not supported.","example":"organization or PersonalData-dataSubjectType or createdDate"},"operator":{"type":"string","description":"Operator used on attribute key and value to filter inventories. \n Note: IN_BETWEEN is used only for Created Date and Last Updated Date attributes.","enum":["EQ","IN_BETWEEN"],"example":"EQ or IN_BETWEEN"},"values":{"type":"array","items":{"type":"string","description":"Values of the Attribute Key which will be used in filtering.","example":"OrganizationName or Employees or {fromDateValue:2019-12-22, toDateValue:2020-01-28}"}}},"title":"CriteriaDefinition"},"DataCategoryCreateUpdateRequest":{"type":"object","properties":{"description":{"type":"string"},"value":{"type":"string"}},"title":"DataCategoryCreateUpdateRequest"},"DataCategoryResponse":{"type":"object","properties":{"description":{"type":"string","description":"Description of the Data Category.","example":"Academic Background"},"descriptionKey":{"type":"string","description":"Unique key for description of the Data Category.","example":"DataCategoriesAcademicBackgroundDesc"},"id":{"type":"string","description":"Unique Id for the Data Category.","example":"43fd3a8d-3f6b-464e-bf43-3f0c6c592442"},"name":{"type":"string","description":"Name of the Data Category.","example":"Academic Background"},"nameKey":{"type":"string","description":"Unique key for name of the Data Category.","example":"DataCategoriesAcademicBackground"}},"title":"DataCategoryResponse"},"DataClassificationCreateUpdateRequest":{"type":"object","properties":{"description":{"type":"string"},"value":{"type":"string"}},"title":"DataClassificationCreateUpdateRequest"},"DataClassificationResponse":{"type":"object","properties":{"description":{"type":"string","description":"Description of the Data Classification.","example":"Personal Data"},"descriptionKey":{"type":"string","description":"Unique key for description of the Data Classification.","example":"DataClassificationsPersonalDataDesc"},"id":{"type":"string","description":"Unique Id of the Data Classification.","example":"9fad637c-8548-438e-9a6f-6e38eb2692de"},"name":{"type":"string","description":"Name of the Data Classification.","example":"Personal Data"},"nameKey":{"type":"string","description":"Unique key for the name of the Data Classification.","example":"DataClassificationsPersonalData"}},"title":"DataClassificationResponse"},"DataElementCreateRequest":{"type":"object","properties":{"categories":{"type":"array","items":{"$ref":"#/components/schemas/ObjectReference"}},"classifications":{"type":"array","items":{"$ref":"#/components/schemas/ObjectReference"}},"description":{"type":"string"},"value":{"type":"string"}},"title":"DataElementCreateRequest"},"DataElementDetailedResponse":{"type":"object","properties":{"categories":{"type":"array","items":{"$ref":"#/components/schemas/DataCategoryResponse"}},"classifications":{"type":"array","items":{"$ref":"#/components/schemas/DataClassificationResponse"}},"description":{"type":"string","description":"Description of the Data Element.","example":"Age"},"descriptionKey":{"type":"string","description":"Unique key for description of the Data Element.","example":"DataElementsAgeDesc"},"id":{"type":"string","description":"Unique Id of the Data Element.","example":"54432905-eac2-4088-a48e-c02b0d66359b"},"name":{"type":"string","description":"Name of the Data Element.","example":"Age"},"nameKey":{"type":"string","description":"Unique key for the name of the Data Element.","example":"DataElementsAge"}},"title":"DataElementDetailedResponse"},"DataElementResponse":{"type":"object","properties":{"description":{"type":"string"},"descriptionKey":{"type":"string"},"id":{"type":"string"},"name":{"type":"string"},"nameKey":{"type":"string"}},"title":"DataElementResponse"},"DataSubjectCreateUpdateRequest":{"type":"object","properties":{"description":{"type":"string"},"value":{"type":"string"}},"title":"DataSubjectCreateUpdateRequest"},"DataSubjectResponse":{"type":"object","properties":{"description":{"type":"string","description":"Description of the Data Subject.","example":"Contractors"},"descriptionKey":{"type":"string","description":"Unique key for description of the Data Subject.","example":"DataSubjectContractorsDesc"},"id":{"type":"string","description":"Unique Id of the Data Subject.","example":"a77f2bdb-5bce-467a-b943-16895f38c296"},"name":{"type":"string","description":"Name of the Data Subject.","example":"Contractors"},"nameKey":{"type":"string","description":"Unique key for the name of the Data Subject.","example":"DataSubjectContractors"}},"title":"DataSubjectResponse"},"Metadata":{"type":"object","properties":{"page":{"$ref":"#/components/schemas/OtPage"}},"title":"Metadata"},"ObjectReference":{"type":"object","properties":{"id":{"type":"string"},"value":{"type":"string"}},"title":"ObjectReference"},"OneTrustMetadata":{"type":"object","properties":{"page":{"$ref":"#/components/schemas/OneTrustPage"}},"title":"OneTrustMetadata"},"OneTrustPage":{"type":"object","properties":{"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer","format":"int64"},"size":{"type":"integer","format":"int64","example":"1"},"sort":{"type":"array","items":{"$ref":"#/components/schemas/OneTrustSort"}},"totalElements":{"type":"integer","format":"int64","example":"1"},"totalPages":{"type":"integer","format":"int64","example":"1"}},"title":"OneTrustPage"},"OneTrustResponseListPersonalDataLinkResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/PersonalDataLinkResponse"}},"errors":{"type":"array","items":{"type":"object"}},"meta":{"$ref":"#/components/schemas/OneTrustMetadata"}},"title":"OneTrustResponseListPersonalDataLinkResponse"},"OneTrustSort":{"type":"object","properties":{"direction":{"type":"string","enum":["ASC","DESC"]},"property":{"type":"string"}},"title":"OneTrustSort"},"OtPage":{"type":"object","properties":{"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer","format":"int64"},"size":{"type":"integer","format":"int64"},"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int64"}},"title":"OtPage"},"PersonalDataLinkRequest":{"type":"object","properties":{"dataElement":{"$ref":"#/components/schemas/ObjectReference"},"dataSubjectType":{"$ref":"#/components/schemas/ObjectReference"}},"title":"PersonalDataLinkRequest"},"PersonalDataLinkResponse":{"type":"object","properties":{"dataCategories":{"type":"array","items":{"$ref":"#/components/schemas/DataCategoryResponse"}},"dataClassifications":{"type":"array","items":{"$ref":"#/components/schemas/DataClassificationResponse"}},"dataElement":{"$ref":"#/components/schemas/DataElementResponse"},"dataSubjectType":{"$ref":"#/components/schemas/DataSubjectResponse"}},"title":"PersonalDataLinkResponse"},"ResponseDataCategoryResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/DataCategoryResponse"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"meta":{"$ref":"#/components/schemas/Metadata"}},"title":"ResponseDataCategoryResponse"},"ResponseDataClassificationResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/DataClassificationResponse"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"meta":{"$ref":"#/components/schemas/Metadata"}},"title":"ResponseDataClassificationResponse"},"ResponseDataElementDetailedResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/DataElementDetailedResponse"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"meta":{"$ref":"#/components/schemas/Metadata"}},"title":"ResponseDataElementDetailedResponse"},"ResponseDataSubjectResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/DataSubjectResponse"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"meta":{"$ref":"#/components/schemas/Metadata"}},"title":"ResponseDataSubjectResponse"},"SchemaSummaryDto":{"type":"object","properties":{"description":{"type":"string"},"id":{"type":"string"},"name":{"type":"string"},"nameKey":{"type":"string"},"uri":{"type":"string"}},"title":"SchemaSummaryDto"},"UpdateInventoryDto":{"description":"Inventory Update Request","type":"object","properties":{"exampleSingleSelectField":{"type":"array","items":{"$ref":"#/components/schemas/InventoryValue"}},"exampleMultiSelectField":{"type":"array","items":{"$ref":"#/components/schemas/InventoryValue"}},"exampleTextField":{"type":"string"}},"title":"UpdateInventoryDto"},"UpsertInventoryDto":{"description":"Inventory Upsert Request","type":"object","properties":{"name":{"type":"string"},"organization":{"$ref":"#/components/schemas/InventoryValue"},"location":{"$ref":"#/components/schemas/InventoryValue"},"type":{"$ref":"#/components/schemas/InventoryValue"},"exampleSingleSelectField":{"type":"array","items":{"$ref":"#/components/schemas/InventoryValue"}},"exampleMultiSelectField":{"type":"array","items":{"$ref":"#/components/schemas/InventoryValue"}},"exampleTextField":{"type":"string"}},"title":"UpsertInventoryDto"},"InventoryStatusRequest":{"type":"object","properties":{"key":{"type":"string","enum":["pending","active","archived"]}},"title":"InventoryStatusRequest"},"InventoryValue":{"type":"object","properties":{"id":{"type":"string"},"value":{"type":"string"},"selectionValue":{"type":"string","description":"Attribute selection value and it is mandatory if the numeric value is not distinct for Numerical Single Select attribute."}},"title":"InventoryValue"},"InventoryAssociationRequest":{"type":"object","properties":{"relation":{"type":"string","description":"Relationship type","enum":["RelatedLinkType","SubProcessorLinkType","StorageProcessingLinkType","JointControllerLinkType","DestinationAccessLinkType","RecipientOfSaleLinkType","ControllerLinkType","ProcessorLinkType","ProductOrServiceProviderLinkType","SourceCollectionLinkType"]}},"required":["relation"],"title":"InventoryAssociationRequest"},"InventoryAssociationCreateRequest":{"type":"object","properties":{"id":{"type":"string","description":"ID of the inventory. The value can be retrieved using the [Get List of Inventories](/onetrust/reference/getlistofinventoriesusingget)."},"relation":{"type":"string","description":"Relationship type","enum":["RelatedLinkType","SubProcessorLinkType","StorageProcessingLinkType","JointControllerLinkType","DestinationAccessLinkType","RecipientOfSaleLinkType","ControllerLinkType","ProcessorLinkType","ProductOrServiceProviderLinkType","SourceCollectionLinkType"]}},"required":["id"],"title":"InventoryAssociationCreateRequest"},"InventoryAssociationRemoveRequest":{"type":"object","properties":{"inventoryAssociationId":{"type":"string"}}},"BaseInventoryAssociationDto":{"type":"object","properties":{"inventoryId":{"type":"string"},"inventoryAssociationId":{"type":"string"}}},"InventoryListResponse":{"type":"object","properties":{"data":{"type":"array","description":"Inventory object's keys and values may vary by inventory-type.","items":{"properties":{"id":{"type":"string"},"name":{"type":"string"},"organization":{"properties":{"id":{"type":"string"},"value":{"type":"string"}}}}}},"meta":{"type":"object","properties":{"page":{"type":"object","properties":{"number":{"type":"string"},"size":{"type":"string"},"totalElements":{"type":"string"},"totalPages":{"type":"string"}}}}}}},"OneTrustResponseListDataCategoryResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/DataCategoryResponse"}},"errors":{"type":"array","items":{"type":"object"}},"meta":{"$ref":"#/components/schemas/OneTrustMetadata"}},"title":"OneTrustResponseListDataCategoryResponse"},"OneTrustResponseListDataClassificationResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/DataClassificationResponse"}},"errors":{"type":"array","items":{"type":"object"}},"meta":{"$ref":"#/components/schemas/OneTrustMetadata"}},"title":"OneTrustResponseListDataClassificationResponse"},"OneTrustResponseListDataSubjectResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/DataSubjectResponse"}},"errors":{"type":"array","items":{"type":"object"}},"meta":{"$ref":"#/components/schemas/OneTrustMetadata"}},"title":"OneTrustResponseListDataSubjectResponse"},"OneTrustResponseListDataElementDetailedResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/DataElementDetailedResponse"}},"errors":{"type":"array","items":{"type":"object"}},"meta":{"$ref":"#/components/schemas/OneTrustMetadata"}},"title":"OneTrustResponseListDataElementDetailedResponse"},"AttributeValueUpdateRequest":{"type":"object","properties":{"value":{"type":"string","description":"Deactivation/activation of Attribute Options","example":"Internal"},"selectionValue":{"type":"string","description":"Attribute selection value and it is mandatory if the numeric value is not distinct for Numerical Single Select attribute.","example":"Internal"}},"title":"AttributeValueUpdateRequest"},"InventoryControlImplementationsRequest":{"type":"object","title":"InventoryControlImplementationsRequest","description":"Defines details of a Control to be added to Inventory.","properties":{"controlIds":{"type":"array","description":"GUID of controls which are being implemented for given entity.","example":"[7ae23c47-3658-48a5-95f6-4c6d3b376bd3, 3b496fba-0df0-48d6-bbb9-52b2cc7a6a22]","items":{"type":"string","format":"uuid"}},"status":{"type":"string","description":"Status of Control which are being implemented for given entity. Defaulted to Pending.","enum":["Pending","Implemented","NotDoing","Suggested"],"example":"Implemented"}},"required":["controlIds"]},"LinkRequestDto":{"type":"object","required":["sourceInventory","targetInventory","linkTypeName","linkTypeLabel"],"title":"LinkRequestDto","properties":{"sourceInventory":{"type":"object","description":"Associated Source Entity Instance for given Entity Type","example":{"id":"f2229953-b4b5-4042-8cb9-b78038cc4c46","type":"assets"}},"targetInventory":{"type":"object","description":"Associated Target Entity Instance for given Entity Type","example":{"id":"6d91b451-bb7d-4989-a653-2d91ff972d5d","type":"assets"}},"contextProcess":{"type":"object","description":"Associated Context Processing Activity","example":{"id":"d95f99dd-07a1-4f28-9711-c1ae590dbb46","name":"PA1"}},"attributes":{"type":"object","description":"Custom Attributes based on schema defined for given link type","example":{"attributeTextValue.value1":[{"value":"Test Value"}]}},"linkTypeName":{"type":"string","description":"Link type name","example":"Data Transfer"},"linkTypeLabel":{"type":"string","description":"Link type label","example":"Sends Data To"}}},"ContextualLinkUpdateRequest":{"type":"object","title":"ContextualLinkUpdateRequest","properties":{"processingActivityId":{"type":"string","description":"GUID of the context processing activity","example":"84cda4e6-4de1-4835-9dfd-46f88deb11c3"},"attributes":{"type":"object","description":"Custom Attributes based on schema defined for given link type","example":{"attributeTextValue.value1":[{"value":"Test Value"}],"attributeSingleSelectValue.value1":[{"id":"2a3ce43a-43b6-46ef-838e-995f9a46ec69","value":"0.1"}]}}}},"PersonalDataRequest":{"type":"object","title":"PersonalDataLinkRequest","properties":{"dataElementId":{"type":"string","description":"GUID of the Data Element","example":"84cda4e6-4de1-4835-9dfd-46f88deb11c3"},"dataSubjectTypeId":{"type":"string","description":"GUID of the Data Subject","example":"d95f99dd-07a1-4f28-9711-c1ae590dbb46"}}},"EntityIdAndType":{"type":"object","required":["id","type"],"title":"EntityIdAndType","properties":{"id":{"type":"string","description":"UUID","example":"d95f99dd-07a1-4f28-9711-c1ae590dbb46"},"type":{"type":"string","example":"assets, processing-activities, vendors, entities, data-elements, data-subjects"}}},"BasicEntityIdAndName":{"type":"object","required":["id","name"],"title":"BasicEntityIdAndName","properties":{"id":{"type":"string","example":"d95f99dd-07a1-4f28-9711-c1ae590dbb46"},"name":{"type":"string","example":"assets, processing-activities, vendors, entities, data-elements, data-subjects"}}},"InventoryAttachmentRequest":{"type":"object","required":["attachmentId"],"title":"InventoryAttachmentRequest","properties":{"attachmentId":{"type":"string","description":"GUID of the uploaded document. This value is obtained from the response ('Id' parameter) of [Upload File](/onetrust/reference/fileupload) API.","example":"d95f99dd-07a1-4f28-9711-c1ae590dbb46"},"description":{"type":"string","description":"Detailed explanation about the attachment."}}},"ListInventoryAttachmentRequest":{"type":"array","items":{"$ref":"#/components/schemas/InventoryAttachmentRequest"}}}}}